gled is an application for creating spatial animations on light installations.

# Features
 * All animations can be based on beat progression.
 * Everything is hackable directly in gled:
   * Animation shaders with a shader editor and preview
   * Color palettes
   * Scenes - a collection of animations
 * Support for multiple kind of output devices:
   * Artnet
   * DMX, currently the Enttec DMX USB Pro is supported
   * Two different modes for [WLED](https://kno.wled.ge/)

# Installation

Download and install a [Release](https://gitlab.com/photonenkollektiv/gled2/-/releases).

Linux RPMs contain a `yum.repos.d` file so that gled is automatically updated with your system.

The Apple developer account for the signed Mac application is sponsored by [FreshX GmbH](https://freshx.de/).

# Contribution

Gled and its assets are open source (GPL). Please feel free to create merge requests for [gled](https://gitlab.com/photonenkollektiv/gled2) or its [asset library](https://gitlab.com/photonenkollektiv/gled2_assets)!

# Photonenkollektiv
 * Many of the ideas and concepts in gled are inspired by the work of [Photonenkollektiv](https://photonenkollektiv.de/).
 * We created multiple different kind of custom lamps based on WS281X LED strips.
 * We use gled since its first version in 2019 to create animations for our installations.

## Showcase of some installations we made in 2024 with gled

<video style="width:100%;margin-top:32px;margin-bottom:32px" controls="">
    <source src="https://photonenkollektiv.de/videos/gled_2024.av1.mp4" type="video/mp4; codecs=av01.0.05M.08">
    <source src="https://photonenkollektiv.de/videos/gled_2024.mp4" type="video/mp4">
    Your browser does not support the video tag.
</video>